Subject: macos cannot build emacs after updated gcc and libgccjit to 12.1

From: ccqpein <[email-masked]>
Date: Sun, 07 Aug 2022 03:29:47 +0000

I just update the gcc and the libgccjit through `brew` tonight and find building the emacs from source has issue.

after `./autogen.sh`, I ran the `./configure --with-native-compilation` (for simplifying) and got the error message that

```
checking for gcc_jit_context_acquire in -lgccjit... no
configure: error: ELisp native compiler was requested, but libgccjit was not found.
Please try installing libgccjit or a similar package.
If you are sure you want Emacs be compiled without ELisp native compiler,pass the --without-native-compilation option to configure.

```

I add `echo $MAC_CFLAGS` and `echo $MAC_LIBS` after line 4269 in `configure.ac` and I figure out it gives me the right including path of libgccjit 12.

```
-I/usr/local/Cellar/libgccjit/12.1.0/include
-L/usr/local/Cellar/libgccjit/12.1.0/lib/gcc/current /usr/local/Cellar/libgccjit/12.1.0/lib/gcc/12
```

my environment:

macOS 12.5
intel CPU

Thanks.